From 01b27088873d71a7dc125eb4a0f1d6b9309b13f8 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Aug 26 2025 21:03:56 +0000
Subject: [PATCH 1/2] pacman-mirrorlist: correct cyberbits.asia


---

diff --git a/libre/pacman-mirrorlist/PKGBUILD b/libre/pacman-mirrorlist/PKGBUILD
index bd10e27..d66faee 100644
--- a/libre/pacman-mirrorlist/PKGBUILD
+++ b/libre/pacman-mirrorlist/PKGBUILD
@@ -19,7 +19,7 @@
 
 
 pkgname=pacman-mirrorlist
-pkgver=20250305
+pkgver=20250825
 pkgrel=1.parabola1
 pkgdesc="Parabola GNU/Linux-libre mirror list for use by pacman"
 arch=(any)
@@ -29,7 +29,7 @@ license=(GPL)
 backup=(etc/pacman.d/mirrorlist)
 source=(mirrorlist-${pkgver}.txt::https://repo.parabola.nu/mirrorlist.txt)
 
-sha256sums=('ad9dd2fa74039066ab08549d0caa035e0ada202ee872660b1416384c82a8b707')
+sha256sums=('4e2cdfbf4bc6b5389f290293f045791490a09a4cc23d7f9b67b24b94a5a4eec9')
 
 
 prepare()

From ea7efee07fa0a1a4b38138ddbd9d6ea4a73374f1 Mon Sep 17 00:00:00 2001
From: Bernie <b_schelberg@hotmail.com>
Date: Aug 27 2025 01:18:23 +0000
Subject: [PATCH 2/2] mplayer: upgrade to 38542


---

diff --git a/libre/mplayer/PKGBUILD b/libre/mplayer/PKGBUILD
index 11d861d..bbb1518 100644
--- a/libre/mplayer/PKGBUILD
+++ b/libre/mplayer/PKGBUILD
@@ -11,44 +11,44 @@
 
 pkgbase=mplayer
 pkgname=('mplayer' 'mencoder')
-pkgver=38157
-pkgrel=3
+pkgver=38542
+pkgrel=1
 pkgrel+=.parabola1
 pkgdesc='Media player for GNU/Linux, without nonfree UnRAR and FAAC'
 url='http://www.mplayerhq.hu/'
 arch=('x86_64')
 arch+=('i686' 'armv7h')
-license=('GPL')
+license=('GPL-2.0-or-later')
 makedepends=('xorgproto' 'libxxf86vm' 'libmad' 'libxinerama' 'libmng' 'libxss'
              'smbclient' 'aalib' 'jack' 'libcaca' 'faad2' 'lirc' 'libxv'
              'libxvmc' 'enca' 'libdca' 'a52dec' 'libvpx' 'unzip' 'mesa'
-             'live-media' 'yasm' 'git' 'mpg123' 'ladspa' 'libcdio' 'zlib'
-             'libcdio-paranoia' 'subversion' 'x264' 'libx264.so' 'rtmpdump'
-             'libdvdcss' 'libdvdread' 'libdvdnav' 'ffmpeg' 'giflib' 'libgif.so'
-             'libbs2b' 'fribidi' 'opus' 'libvorbis' 'libvorbis.so' 'gsm'
-             'libpulse' 'alsa-lib' 'glibc' 'libass' 'libass.so' 'libjpeg'
-             'libpng' 'libogg' 'libtheora' 'libbluray' 'libbluray.so'
-             'xvidcore' 'libxvidcore.so' 'ncurses' 'libncursesw.so'
+             'yasm' 'git' 'mpg123' 'ladspa' 'libcdio' 'zlib'
+             'libcdio-paranoia' 'subversion' 'x264' 'rtmpdump'
+             'libdvdcss' 'libdvdread' 'libdvdnav' 'ffmpeg' 'giflib'
+             'libbs2b' 'fribidi' 'opus' 'libvorbis' 'gsm'
+             'libpulse' 'alsa-lib' 'glibc' 'libass' 'libjpeg-turbo'
+             'libpng' 'libogg' 'libtheora' 'libbluray'
+             'xvidcore' 'ncurses'
              'fontconfig' 'freetype2' 'libx11' 'libxext' 'libvdpau' 'libgl'
              'lame' 'desktop-file-utils' 'ttf-font' 'openal' 'speex'
              'libmpeg2')
-options=('!emptydirs')
+options=('!emptydirs' '!lto')
 source=(${pkgbase}-${pkgver}::"svn://svn.mplayerhq.hu/mplayer/trunk#revision=${pkgver}"
         mplayer.desktop
         include-samba-4.0.patch
-        revert-icl-fixes.patch)
+        ffmpeg-7.patch)
 sha512sums=('SKIP'
             'd3c5cbf0035279c6f307e4e225473d7b77f9b56566537a26aa694e68446b9e3240333296da627ad5af83b04cc8f476d1a3f8c05e4cf81cd6e77153feb4ed74bc'
             '9debb8c58b996f6c716c22c86c720bf9dc49b4ee9b76c57519f791667ae1de2cc6f5add878fbf4ac02c6b6fd1865e1bcfa6105e75de4bf7ec596c338ed0cae99'
-            '0cae0b26d3d97fd4c962962c43a481de20335369cbca406cadfc9bda1a0608b32f5374e76c477cb9a85bda83a568a1ed17126df224ae61579d0a402c1824aea8')
+            '93185451be01fd872c5304f2b4ac2832a91b89397f7d920759ef4681dd43977d50c0207851721d7e8ec00ff3fbef93133aa54e8f6cf3d83190f8ab331e106a16')
 
 prepare() {
   cd ${pkgbase}-${pkgver}
   patch -p1 < "../include-samba-4.0.patch"
-  patch -p0 < "../revert-icl-fixes.patch"
-  # https://bugs.archlinux.org/task/62050
-  sed -E "s|(#include <samba-4.0/libsmbclient.h>)|#include <time.h>\n\1|g" -i stream/stream_smb.c
   ./version.sh
+
+# Fix build with ffmpeg 7, https://lists.mplayerhq.hu/pipermail/mplayer-dev-eng/2024-April/074138.html
+  patch -p0 -i ../ffmpeg-7.patch
 }
 
 build() {
@@ -63,8 +63,9 @@ build() {
     export CFLAGS="${CFLAGS/-march=x86-64/}"
     export CFLAGS="${CFLAGS/-mtune=generic/}"
   fi
-  export LDFLAGS="${LDFLAGS/,O1/}"
-  export LDFLAGS="${LDFLAGS/,--sort-common/}"
+  export CFLAGS="${CFLAGS} -Wno-incompatible-pointer-types -Wno-implicit-function-declaration -Wno-int-conversion"      
+  export LDFLAGS="${LDFLAGS/-Wl,-O1/}"
+  export LDFLAGS="${LDFLAGS/-Wl,--sort-common/}"
   ./configure --prefix=/usr \
     $extra \
     --disable-gui \
@@ -79,10 +80,10 @@ build() {
     --disable-unrarexec \
     --disable-cdparanoia \
     --disable-ffmpeg_a \
-    --enable-xvmc \
     --enable-radio \
     --enable-radio-capture \
     --enable-smb \
+    --yasm=yasm \
     --language=all \
     --confdir=/etc/mplayer \
     --extra-cflags="${CFLAGS} ${CPPFLAGS}" \
@@ -100,7 +101,7 @@ package_mplayer() {
            'jack' 'libmad' 'libcaca' 'libxxf86vm' 'faad2'
            'libxv' 'libxvmc' 'mpg123' 'libx11' 'libcdio' 'libcdio-paranoia'
            'rtmpdump' 'libdvdread' 'libdvdnav' 'ffmpeg' 'libbs2b' 'alsa-lib'
-           'giflib' 'libgif.so' 'glibc' 'libass' 'libass.so' 'zlib' 'libjpeg'
+           'giflib' 'libgif.so' 'glibc' 'libass' 'libass.so' 'zlib' 'libjpeg-turbo'
            'libpng' 'libpulse' 'libogg' 'fribidi' 'libtheora' 'libvorbis'
            'libvorbis.so' 'libbluray' 'libbluray.so' 'xvidcore'
            'libxvidcore.so' 'ncurses' 'libncursesw.so' 'fontconfig' 'freetype2'
@@ -121,7 +122,7 @@ package_mencoder() {
            'libcdio-paranoia' 'rtmpdump' 'libdvdread' 'libdvdnav' 'ffmpeg'
            'libbs2b' 'ncurses' 'libncursesw.so' 'zlib' 'alsa-lib' 'fontconfig'
            'freetype2' 'fribidi' 'giflib' 'libgif.so' 'libvorbis'
-           'libvorbis.so' 'libpng' 'libjpeg' 'libass' 'libass.so' 'lame'
+           'libvorbis.so' 'libpng' 'libjpeg-turbo' 'libass' 'libass.so' 'lame'
            'libbluray' 'libbluray.so' 'libtheora' 'xvidcore' 'libxvidcore.so'
            'openal' 'speex' 'libmpeg2')
 
diff --git a/libre/mplayer/ffmpeg-7.patch b/libre/mplayer/ffmpeg-7.patch
new file mode 100644
index 0000000..7ba4012
--- /dev/null
+++ b/libre/mplayer/ffmpeg-7.patch
@@ -0,0 +1,95 @@
+Index: libao2/ao_jack.c
+===================================================================
+--- libao2/ao_jack.c    (revisión: 38542)
++++ libao2/ao_jack.c    (copia de trabajo)
+@@ -71,7 +71,7 @@
+ #define BUFFSIZE (NUM_CHUNKS * CHUNK_SIZE)
+ 
+ //! buffer for audio data
+-static AVFifoBuffer *buffer;
++static AVFifo *buffer;
+ 
+ /**
+  * \brief insert len bytes into buffer
+@@ -82,9 +82,10 @@
+  * If there is not enough room, the buffer is filled up
+  */
+ static int write_buffer(unsigned char* data, int len) {
+-  int free = av_fifo_space(buffer);
++  int free = av_fifo_can_write(buffer);
+   if (len > free) len = free;
+-  return av_fifo_generic_write(buffer, data, len, NULL);
++  av_fifo_write(buffer, data, len);
++  return len;
+ }
+ 
+ static void silence(float **bufs, int cnt, int num_bufs);
+@@ -125,12 +126,12 @@
+  */
+ static int read_buffer(float **bufs, int cnt, int num_bufs) {
+   struct deinterleave di = {bufs, num_bufs, 0, 0};
+-  int buffered = av_fifo_size(buffer);
++  int buffered = av_fifo_can_read(buffer);
+   if (cnt * sizeof(float) * num_bufs > buffered) {
+     silence(bufs, cnt, num_bufs);
+     cnt = buffered / sizeof(float) / num_bufs;
+   }
+-  av_fifo_generic_read(buffer, &di, cnt * num_bufs * sizeof(float), deinterleave);
++  av_fifo_read(buffer, &di, cnt * num_bufs * sizeof(float));
+   return cnt;
+ }
+ 
+@@ -242,7 +243,7 @@
+     mp_msg(MSGT_AO, MSGL_FATAL, "[JACK] cannot open server\n");
+     goto err_out;
+   }
+-  buffer = av_fifo_alloc(BUFFSIZE);
++  buffer = av_fifo_alloc2(BUFFSIZE, 1, 0);
+   jack_set_process_callback(client, outputaudio, 0);
+ 
+   // list matching ports if connections should be made
+@@ -302,7 +303,7 @@
+   free(client_name);
+   if (client)
+     jack_client_close(client);
+-  av_fifo_free(buffer);
++  av_fifo_freep2(&buffer);
+   buffer = NULL;
+   return 0;
+ }
+@@ -315,7 +316,7 @@
+   reset();
+   usec_sleep(100 * 1000);
+   jack_client_close(client);
+-  av_fifo_free(buffer);
++  av_fifo_freep2(&buffer);
+   buffer = NULL;
+ }
+ 
+@@ -324,7 +325,7 @@
+  */
+ static void reset(void) {
+   paused = 1;
+-  av_fifo_reset(buffer);
++  av_fifo_reset2(buffer);
+   paused = 0;
+ }
+ 
+@@ -343,7 +344,7 @@
+ }
+ 
+ static int get_space(void) {
+-  return av_fifo_space(buffer);
++  return av_fifo_can_write(buffer);
+ }
+ 
+ /**
+@@ -357,7 +358,7 @@
+ }
+ 
+ static float get_delay(void) {
+-  int buffered = av_fifo_size(buffer); // could be less
++  int buffered = av_fifo_can_read(buffer); // could be less
+   float in_jack = jack_latency;
+   if (estimate && callback_interval > 0) {
+     float elapsed = (float)GetTimer() / 1000000.0 - callback_time;
diff --git a/libre/mplayer/revert-icl-fixes.patch b/libre/mplayer/revert-icl-fixes.patch
deleted file mode 100644
index e5f049f..0000000
--- a/libre/mplayer/revert-icl-fixes.patch
+++ /dev/null
@@ -1,66 +0,0 @@
-Index: libmpcodecs/vf_fspp.c
-===================================================================
---- libmpcodecs/vf_fspp.c	(revision 37183)
-+++ libmpcodecs/vf_fspp.c	(revision 37181)
-@@ -1598,10 +1598,6 @@
- 
-         : "+S"(data), "+D"(output), "+c"(cnt), "=o"(temps)
-         : "d"(thr_adr)
--          NAMED_CONSTRAINTS_ADD(ff_MM_FIX_0_707106781,MM_2,MM_FIX_1_414213562_A,MM_FIX_1_414213562,MM_FIX_0_382683433,
--          ff_MM_FIX_0_541196100,MM_FIX_1_306562965,MM_FIX_0_847759065)
--          NAMED_CONSTRAINTS_ADD(MM_FIX_0_566454497,MM_FIX_0_198912367,MM_FIX_2_613125930,MM_FIX_1_847759065,
--          MM_FIX_1_082392200)
-         : "%"REG_a
-         );
- }
-@@ -1871,8 +1867,6 @@
- 
-         : "+S"(workspace), "+D"(output_adr), "+c"(cnt), "=o"(temps)
-         : "a"(output_stride*sizeof(short))
--        NAMED_CONSTRAINTS_ADD(MM_FIX_1_414213562_A,MM_FIX_2_613125930,MM_FIX_1_847759065,MM_FIX_1_082392200,
--        MM_FIX_1_414213562,MM_DESCALE_RND)
-         : "%"REG_d
-         );
- }
-@@ -1980,10 +1974,10 @@
-         "movd (%%"REG_S",%%"REG_a",2), %%mm3    \n\t" //5
-         "paddw %%mm4, %%mm1            \n\t"
- 
--        "movq %%mm5, %3                \n\t" //t7
-+        "movq %%mm5, 0*8+%3            \n\t" //t7
-         "punpcklbw %%mm7, %%mm3        \n\t"
- 
--        "movq %%mm6, %4                \n\t" //t6
-+        "movq %%mm6, 1*8+%3            \n\t" //t6
-         "movq %%mm2, %%mm4             \n\t"
- 
-         "movd (%%"REG_S"), %%mm5           \n\t" //3
-@@ -2029,7 +2023,7 @@
-         "psubw %%mm1, %%mm5            \n\t" //d1
-         "movq %%mm0, %%mm6             \n\t"
- 
--        "movq %4, %%mm1                \n\t"
-+        "movq 1*8+%3, %%mm1            \n\t"
-         "punpcklwd %%mm5, %%mm0        \n\t"
- 
-         "punpckhwd %%mm5, %%mm6        \n\t"
-@@ -2053,7 +2047,7 @@
-         "movq %%mm7, "DCTSIZE_S"*3*2(%%"REG_D") \n\t"
-         "psllw $2, %%mm3              \n\t" //t10
- 
--        "movq %3, %%mm2               \n\t"
-+        "movq 0*8+%3, %%mm2           \n\t"
-         "psllw $2, %%mm4              \n\t" //t11
- 
-         "pmulhw "MANGLE(MM_FIX_0_707106781)", %%mm4 \n\t" //z3
-@@ -2116,9 +2110,8 @@
-         "dec %%"REG_c"                   \n\t"
-         "jnz 6b                  \n\t"
- 
--        : "+S"(pixels), "+D"(data), "+c"(cnt), "=o"(temps), "=o"(temps[1])
-+        : "+S"(pixels), "+D"(data), "+c"(cnt), "=o"(temps)
-         : "a"(line_size)
--        NAMED_CONSTRAINTS_ADD(ff_MM_FIX_0_707106781,ff_MM_FIX_0_541196100,MM_FIX_0_382683433,MM_FIX_1_306562965)
-         : "%"REG_d);
- }
- 

